using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BE;
using BL;
using Utilitaria;

using System.Data;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Configuration;

using System.Data.OleDb;
using System.IO;

public partial class Proc_BloqueoAsientos : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }

    }

    private void Listar()
    {
        BLSubDiariosBloqueo oBLSubDiariosBloqueo = new BLSubDiariosBloqueo();
        BESubDiariosBloqueo oBESubDiariosBloqueo = new BESubDiariosBloqueo();
        List<BESubDiariosBloqueo> loSubDiariosBloqueo;

        oBESubDiariosBloqueo.EstablecimientoID = Convert.ToInt32(Session["EmpresaID"]);
        oBESubDiariosBloqueo.HotelID = Convert.ToInt32(Session["HotelID"]);
        oBESubDiariosBloqueo.Ejercicio = Convert.ToInt32(Session["txtPeriodo"].ToString().Trim());

        loSubDiariosBloqueo = oBLSubDiariosBloqueo.fnSelSubDiariosAll(oBESubDiariosBloqueo);
        tk_Grid.DataSource = loSubDiariosBloqueo;

        oBLSubDiariosBloqueo = null;
        oBESubDiariosBloqueo = null;
    }
    protected void tk_Grid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        Listar();
    }
    protected void tk_Grid_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem dataItem = (GridDataItem)e.Item;

            Image Enero = (Image)e.Item.FindControl("imgEnero");
            if (Convert.ToInt32(Enero.AlternateText) == 1)
            {
                Enero.ImageUrl = "~/images/lock.gif";
            }
            Image Febrero = (Image)e.Item.FindControl("imgFebrero");
            if (Convert.ToInt32(Febrero.AlternateText) == 1)
            {
                Febrero.ImageUrl = "~/images/lock.gif";
            }
            Image Marzo = (Image)e.Item.FindControl("imgMarzo");
            if (Convert.ToInt32(Marzo.AlternateText) == 1)
            {
                Marzo.ImageUrl = "~/images/lock.gif";
            }
            Image Abril = (Image)e.Item.FindControl("imgAbril");
            if (Convert.ToInt32(Abril.AlternateText) == 1)
            {
                Abril.ImageUrl = "~/images/lock.gif";
            }
            Image Mayo = (Image)e.Item.FindControl("imgMayo");
            if (Convert.ToInt32(Mayo.AlternateText) == 1)
            {
                Mayo.ImageUrl = "~/images/lock.gif";
            }
            Image Junio = (Image)e.Item.FindControl("imgJunio");
            if (Convert.ToInt32(Junio.AlternateText) == 1)
            {
                Junio.ImageUrl = "~/images/lock.gif";
            }
            Image Julio = (Image)e.Item.FindControl("imgJulio");
            if (Convert.ToInt32(Julio.AlternateText) == 1)
            {
                Julio.ImageUrl = "~/images/lock.gif";
            }
            Image Agosto = (Image)e.Item.FindControl("imgAgosto");
            if (Convert.ToInt32(Agosto.AlternateText) == 1)
            {
                Agosto.ImageUrl = "~/images/lock.gif";
            }
            Image Septiembre = (Image)e.Item.FindControl("imgSeptiembre");
            if (Convert.ToInt32(Septiembre.AlternateText) == 1)
            {
                Septiembre.ImageUrl = "~/images/lock.gif";
            }
            Image Octubre = (Image)e.Item.FindControl("imgOctubre");
            if (Convert.ToInt32(Octubre.AlternateText) == 1)
            {
                Octubre.ImageUrl = "~/images/lock.gif";
            }
            Image Noviembre = (Image)e.Item.FindControl("imgNoviembre");
            if (Convert.ToInt32(Noviembre.AlternateText) == 1)
            {
                Noviembre.ImageUrl = "~/images/lock.gif";
            }
            Image Diciembre = (Image)e.Item.FindControl("imgDiciembre");
            if (Convert.ToInt32(Diciembre.AlternateText) == 1)
            {
                Diciembre.ImageUrl = "~/images/lock.gif";
            }
        }
    }

    private void CierreAsientos(String SubDiarioID, Int32 Mes)
    {
        BLProcesos oBLProcesos = new BLProcesos();

        Int32 EstablecimientoID = Convert.ToInt32(Session["EmpresaID"].ToString());
        Int32 SucursalID = Convert.ToInt32(Session["HotelID"].ToString());
        Int32 Ejercicio = Convert.ToInt32(Session["txtPeriodo"].ToString());
        //Int32 Mes = Convert.ToInt32(cbxMesesSubDiario.SelectedValue);
        //String SubDiarioID = (cbxDiarioAuxiliar.SelectedValue == "") ? "0" : cbxDiarioAuxiliar.SelectedValue;

        oBLProcesos.fnInsUpdMayorizados(EstablecimientoID, SucursalID, Ejercicio, Mes, SubDiarioID);

        BLSubDiariosBloqueo oBLSubDiariosBloqueo = new BLSubDiariosBloqueo();
        BESubDiariosBloqueo oBESubDiariosBloqueo = new BESubDiariosBloqueo();



    }

    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        
    }
    protected void tk_Grid_ItemCommand(object source, GridCommandEventArgs e)
    {     
        Int32 Mes = Convert.ToInt32(e.CommandName.ToString().Trim());
        CierreAsientos(e.CommandArgument.ToString().Trim(), Mes);
        tk_Grid.Rebind();
    }


    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);

    }


}
